# UnstructuredStorage

## library UnstructuredStorage

Source: [contracts/common/UnstructuredStorage.sol](https://github.com/aragon/aragonOS/blob/v4.4.0/contracts/common/UnstructuredStorage.sol)

## Index

* [getStorageAddress](#getstorageaddress)
* [getStorageBool](#getstoragebool)
* [getStorageBytes32](#getstoragebytes32)
* [getStorageUint256](#getstorageuint256-1)
* [setStorageAddress](#setstorageaddress)
* [setStorageBool](#setstoragebool)
* [setStorageBytes32](#setstoragebytes32)
* [setStorageUint256](#setstorageuint256-2)

## Reference

### Functions

#### **getStorageAddress** <a href="#getstorageaddress" id="getstorageaddress"></a>

` function`` `` `**`getStorageAddress`**`(bytes32 position) internal view returns (address)`

***

Parameters:

* `position` - bytes32

Returns:

* address

#### **getStorageBool** <a href="#getstoragebool" id="getstoragebool"></a>

` function`` `` `**`getStorageBool`**`(bytes32 position) internal view returns (bool)`

***

Parameters:

* `position` - bytes32

Returns:

* bool

#### **getStorageBytes32** <a href="#getstoragebytes32" id="getstoragebytes32"></a>

` function`` `` `**`getStorageBytes32`**`(bytes32 position) internal view returns (bytes32)`

***

Parameters:

* `position` - bytes32

Returns:

* bytes32

#### **getStorageUint256** <a href="#getstorageuint256-1" id="getstorageuint256-1"></a>

` function`` `` `**`getStorageUint256`**`(bytes32 position) internal view returns (uint256)`

***

Parameters:

* `position` - bytes32

Returns:

* uint256

#### **setStorageAddress** <a href="#setstorageaddress" id="setstorageaddress"></a>

` function`` `` `**`setStorageAddress`**`(bytes32 position, address data) internal`

***

Parameters:

* `position` - bytes32
* `data` - address

#### **setStorageBool** <a href="#setstoragebool" id="setstoragebool"></a>

` function`` `` `**`setStorageBool`**`(bytes32 position, bool data) internal`

***

Parameters:

* `position` - bytes32
* `data` - bool

#### **setStorageBytes32** <a href="#setstoragebytes32" id="setstoragebytes32"></a>

` function`` `` `**`setStorageBytes32`**`(bytes32 position, bytes32 data) internal`

***

Parameters:

* `position` - bytes32
* `data` - bytes32

#### **setStorageUint256** <a href="#setstorageuint256-2" id="setstorageuint256-2"></a>

` function`` `` `**`setStorageUint256`**`(bytes32 position, uint256 data) internal`

***

Parameters:

* `position` - bytes32
* `data` - uint256


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://legacy-docs.aragon.org/developers/tools/aragonos/smart-contract-references/common/unstructuredstorage.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
